# Version

### Fields

#### actorContext ([VersionContext](/graphql-api/api-reference/objects/version-context.md))

The context in which the change was made

#### actorEmail ([String](/graphql-api/api-reference/objects/string.md))

Email address of the actor who made this change

#### actorName ([String](/graphql-api/api-reference/objects/string.md))

Display name of the actor who made this change

#### changes ([JSON](/graphql-api/api-reference/objects/json.md))

JSON object containing the changes made. Keys are field names, values are \[old\_value, new\_value] arrays.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

When this change occurred

#### event ([VersionEvent](/graphql-api/api-reference/objects/version-event.md)!)

The type of event

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The unique identifier of the version


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
